Subject: bug#68732: 29.1; shell-command-default-error-buffer is not interactive

From: Krzysztof Żelechowski <[email-masked]>
Date: Fri, 26 Jan 2024 15:23:13 +0100

Suppose I am not a software developer but a system administrator.  I prefer not to use the scratch buffer or M-:.

If the variable shell-command-default-error-buffer is not interactive by design, how am I supposed to get a clean output from M-! grub-mkconfig RET, for example?

The design looks inconsistent in that the variable affects only interactive behaviour while being non-interactive itself.  What is the use case for it?  Who is supposed to modify its value?

26 sty 2024 13:38 Eli Zaretskii <[email-masked]> napisał(a):

tags 68732 notabug
thanks

> Date: Fri, 26 Jan 2024 11:04:30 +0000
> From: Christopher Yeleighton <[email-masked]>
>
>
>
> M-x set-variable RET shell-command-default-error-buffer RET
>
>  > shell-command-default-error-buffer [No match]

It is not intended to be customizable by users.  set-variable only
allows you to change values of customizable variables (a.k.a. "user
options").  Use "M-: (setq ...) RET" for the rest.

This is not a bug, but the intended behavior.

26 sty 2024 13:38 Eli Zaretskii <[email-masked]> napisał(a):

tags 68732 notabug
thanks

> Date: Fri, 26 Jan 2024 11:04:30 +0000
> From: Christopher Yeleighton <[email-masked]>
>
>
>
> M-x set-variable RET shell-command-default-error-buffer RET
>
>  > shell-command-default-error-buffer [No match]

It is not intended to be customizable by users.  set-variable only
allows you to change values of customizable variables (a.k.a. "user
options").  Use "M-: (setq ...) RET" for the rest.

This is not a bug, but the intended behavior.